<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionQuestObjectiveConfig Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d9f/a06730.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionQuestObjectiveConfig Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionQuestObjectiveConfig:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d9f/a06730.png" usemap="#ExpansionQuestObjectiveConfig_map" alt=""/>
  <map id="ExpansionQuestObjectiveConfig_map" name="ExpansionQuestObjectiveConfig_map">
<area href="../../da/d1a/a06726.html" alt="ExpansionQuestObjectiveConfigBase" shape="rect" coords="927,0,1226,24"/>
<area href="../../d7/d66/a06718.html" alt="ExpansionQuestObjectiveActionConfig" shape="rect" coords="0,112,299,136"/>
<area href="../../d0/d22/a06722.html" alt="ExpansionQuestObjectiveCollectionConfig" shape="rect" coords="309,112,608,136"/>
<area href="../../d9/d17/a06734.html" alt="ExpansionQuestObjectiveCraftingConfig" shape="rect" coords="618,112,917,136"/>
<area href="../../d4/d54/a06738.html" alt="ExpansionQuestObjectiveDeliveryConfigBase" shape="rect" coords="927,112,1226,136"/>
<area href="../../d7/d6d/a06746.html" alt="ExpansionQuestObjectiveTargetConfigBase" shape="rect" coords="1236,112,1535,136"/>
<area href="../../d1/dac/a06750.html" alt="ExpansionQuestObjectiveTravelConfigBase" shape="rect" coords="1545,112,1844,136"/>
<area href="../../dc/df1/a06758.html" alt="ExpansionQuestObjectiveTreasureHuntConfigBase" shape="rect" coords="1854,112,2153,136"/>
<area href="../../d4/d24/a06742.html" alt="ExpansionQuestObjectiveDeliveryConfig" shape="rect" coords="927,168,1226,192"/>
<area href="../../d8/d89/a06754.html" alt="ExpansionQuestObjectiveTravelConfig" shape="rect" coords="1545,168,1844,192"/>
<area href="../../d3/dd7/a06762.html" alt="ExpansionQuestObjectiveTreasureHuntConfig" shape="rect" coords="1854,168,2153,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac96f520d59e288f85ab909cd2fe5018c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#ac96f520d59e288f85ab909cd2fe5018c">ExpansionQuestObjectiveConfig</a> ()</td></tr>
<tr class="separator:ac96f520d59e288f85ab909cd2fe5018c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a311cdaf81995b76fc29cb22b07bcccfa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a311cdaf81995b76fc29cb22b07bcccfa">SetID</a> (int id)</td></tr>
<tr class="separator:a311cdaf81995b76fc29cb22b07bcccfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a7c3a7ea577f388ed15dfa53a6de2a1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a1a7c3a7ea577f388ed15dfa53a6de2a1">GetID</a> ()</td></tr>
<tr class="separator:a1a7c3a7ea577f388ed15dfa53a6de2a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c1f20278340f1162c4bb21e70392215"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a0c1f20278340f1162c4bb21e70392215">SetObjectiveType</a> (int type)</td></tr>
<tr class="separator:a0c1f20278340f1162c4bb21e70392215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5f51a197d54b16d949e51637ba6c092"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#aa5f51a197d54b16d949e51637ba6c092">GetObjectiveType</a> ()</td></tr>
<tr class="separator:aa5f51a197d54b16d949e51637ba6c092"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e414bf96824020af01d7bc4625cc879"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a5e414bf96824020af01d7bc4625cc879">SetObjectiveText</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> text)</td></tr>
<tr class="separator:a5e414bf96824020af01d7bc4625cc879"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cfe5f98211f72826e79a3e5dc640ebe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a4cfe5f98211f72826e79a3e5dc640ebe">GetObjectiveText</a> ()</td></tr>
<tr class="separator:a4cfe5f98211f72826e79a3e5dc640ebe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3340b68310ef5c4bc06ae76d071beb1c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a3340b68310ef5c4bc06ae76d071beb1c">SetTimeLimit</a> (int time)</td></tr>
<tr class="separator:a3340b68310ef5c4bc06ae76d071beb1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab081e241cf4f342ea86fccd2e8c9bd23"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#ab081e241cf4f342ea86fccd2e8c9bd23">GetTimeLimit</a> ()</td></tr>
<tr class="separator:ab081e241cf4f342ea86fccd2e8c9bd23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7c5768b4828f0156e71568deef20ea3"><td class="memItemLeft" align="right" valign="top">array&lt; ref <a class="el" href="../../d2/da4/a06706.html">ExpansionQuestObjectiveDelivery</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#af7c5768b4828f0156e71568deef20ea3">GetDeliveries</a> ()</td></tr>
<tr class="separator:af7c5768b4828f0156e71568deef20ea3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13316263a12f813dd9e4fa9f1e62e371"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a13316263a12f813dd9e4fa9f1e62e371">GetAmount</a> ()</td></tr>
<tr class="separator:a13316263a12f813dd9e4fa9f1e62e371"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62169e6c3a2544655875a1ab4d507341"><td class="memItemLeft" align="right" valign="top">array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a62169e6c3a2544655875a1ab4d507341">GetClassNames</a> ()</td></tr>
<tr class="separator:a62169e6c3a2544655875a1ab4d507341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa81e591a609454bc03965fca9df837c4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dee/a06710.html">ExpansionQuestObjectiveTarget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#aa81e591a609454bc03965fca9df837c4">GetTarget</a> ()</td></tr>
<tr class="separator:aa81e591a609454bc03965fca9df837c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a161371887ce819582fa3843eac5938e8"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a161371887ce819582fa3843eac5938e8">GetPosition</a> ()</td></tr>
<tr class="separator:a161371887ce819582fa3843eac5938e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa1417c5a1308120b02853b21790b41b"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#aaa1417c5a1308120b02853b21790b41b">GetMaxDistance</a> ()</td></tr>
<tr class="separator:aaa1417c5a1308120b02853b21790b41b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7318a2597d9ad7fc04955bbc9795087"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#ab7318a2597d9ad7fc04955bbc9795087">GetMarkerName</a> ()</td></tr>
<tr class="separator:ab7318a2597d9ad7fc04955bbc9795087"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dcfd83f3d1bfd8bc8cc075009e7d747"><td class="memItemLeft" align="right" valign="top">array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a8dcfd83f3d1bfd8bc8cc075009e7d747">GetActionNames</a> ()</td></tr>
<tr class="separator:a8dcfd83f3d1bfd8bc8cc075009e7d747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5157c71b9947032bed3d0d9f08fc4bd8"><td class="memItemLeft" align="right" valign="top">array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a5157c71b9947032bed3d0d9f08fc4bd8">GetItemNames</a> ()</td></tr>
<tr class="separator:a5157c71b9947032bed3d0d9f08fc4bd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebc07391feaefd67c0422b7ffe9c49da"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#aebc07391feaefd67c0422b7ffe9c49da">GetMaxDistRadius</a> ()</td></tr>
<tr class="separator:aebc07391feaefd67c0422b7ffe9c49da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23c08eacacbb396855b5976f7e7a509c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a23c08eacacbb396855b5976f7e7a509c">GetMinDistRadius</a> ()</td></tr>
<tr class="separator:a23c08eacacbb396855b5976f7e7a509c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60b0ecf87d1d9519191b3269eed886e5"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a60b0ecf87d1d9519191b3269eed886e5">GetDespawnRadius</a> ()</td></tr>
<tr class="separator:a60b0ecf87d1d9519191b3269eed886e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55cad47fb8d22ea5f318d50c5b94537f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a55cad47fb8d22ea5f318d50c5b94537f">CanLootAI</a> ()</td></tr>
<tr class="separator:a55cad47fb8d22ea5f318d50c5b94537f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff21f8e2fff00388fc868223d86f6984"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/de3/a06702.html">ExpansionQuestObjectiveCollection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#aff21f8e2fff00388fc868223d86f6984">GetCollection</a> ()</td></tr>
<tr class="separator:aff21f8e2fff00388fc868223d86f6984"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e6a782d74b0fa2756b66c87ab66f5db"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/dc1/a06714.html">ExpansionQuestObjectiveTreasureHunt</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a2e6a782d74b0fa2756b66c87ab66f5db">GetTreasureHunt</a> ()</td></tr>
<tr class="separator:a2e6a782d74b0fa2756b66c87ab66f5db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12dd926db8862d537bfe9e38ce7f3533"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a12dd926db8862d537bfe9e38ce7f3533">Save</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> fileName)</td></tr>
<tr class="separator:a12dd926db8862d537bfe9e38ce7f3533"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a849340e407afec3639071dfd1c67e8bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a849340e407afec3639071dfd1c67e8bd">CopyConfig</a> (<a class="el" href="../../da/d1a/a06726.html">ExpansionQuestObjectiveConfigBase</a> configBase)</td></tr>
<tr class="separator:a849340e407afec3639071dfd1c67e8bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30c0822a847d005357a50928f5ee4478"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a30c0822a847d005357a50928f5ee4478">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:a30c0822a847d005357a50928f5ee4478"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac04c4a577ad2e4599cb88b03ce5a77d5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#ac04c4a577ad2e4599cb88b03ce5a77d5">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:ac04c4a577ad2e4599cb88b03ce5a77d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bc4c84e8e700aa675eed4b55c044bf2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a1bc4c84e8e700aa675eed4b55c044bf2">QuestDebug</a> ()</td></tr>
<tr class="separator:a1bc4c84e8e700aa675eed4b55c044bf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a677d69e897a9ff4b1111e44f852b6954"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9f/a06730.html#a677d69e897a9ff4b1111e44f852b6954">CONFIGVERSION</a> = 9</td></tr>
<tr class="separator:a677d69e897a9ff4b1111e44f852b6954"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00022">22</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac96f520d59e288f85ab909cd2fe5018c" name="ac96f520d59e288f85ab909cd2fe5018c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac96f520d59e288f85ab909cd2fe5018c">&#9670;&#160;</a></span>ExpansionQuestObjectiveConfig()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveConfig::ExpansionQuestObjectiveConfig </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00026">26</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a55cad47fb8d22ea5f318d50c5b94537f" name="a55cad47fb8d22ea5f318d50c5b94537f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55cad47fb8d22ea5f318d50c5b94537f">&#9670;&#160;</a></span>CanLootAI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveConfig::CanLootAI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00131">131</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a849340e407afec3639071dfd1c67e8bd" name="a849340e407afec3639071dfd1c67e8bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a849340e407afec3639071dfd1c67e8bd">&#9670;&#160;</a></span>CopyConfig()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveConfig::CopyConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d1a/a06726.html">ExpansionQuestObjectiveConfigBase</a>&#160;</td>
          <td class="paramname"><em>configBase</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00165">165</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a8dcfd83f3d1bfd8bc8cc075009e7d747" name="a8dcfd83f3d1bfd8bc8cc075009e7d747"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8dcfd83f3d1bfd8bc8cc075009e7d747">&#9670;&#160;</a></span>GetActionNames()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt; ExpansionQuestObjectiveConfig::GetActionNames </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00106">106</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a13316263a12f813dd9e4fa9f1e62e371" name="a13316263a12f813dd9e4fa9f1e62e371"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13316263a12f813dd9e4fa9f1e62e371">&#9670;&#160;</a></span>GetAmount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveConfig::GetAmount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00076">76</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a62169e6c3a2544655875a1ab4d507341" name="a62169e6c3a2544655875a1ab4d507341"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62169e6c3a2544655875a1ab4d507341">&#9670;&#160;</a></span>GetClassNames()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt; ExpansionQuestObjectiveConfig::GetClassNames </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00081">81</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="aff21f8e2fff00388fc868223d86f6984" name="aff21f8e2fff00388fc868223d86f6984"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff21f8e2fff00388fc868223d86f6984">&#9670;&#160;</a></span>GetCollection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/de3/a06702.html">ExpansionQuestObjectiveCollection</a> ExpansionQuestObjectiveConfig::GetCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00136">136</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="af7c5768b4828f0156e71568deef20ea3" name="af7c5768b4828f0156e71568deef20ea3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7c5768b4828f0156e71568deef20ea3">&#9670;&#160;</a></span>GetDeliveries()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">array&lt; ref <a class="el" href="../../d2/da4/a06706.html">ExpansionQuestObjectiveDelivery</a> &gt; ExpansionQuestObjectiveConfig::GetDeliveries </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00071">71</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a60b0ecf87d1d9519191b3269eed886e5" name="a60b0ecf87d1d9519191b3269eed886e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60b0ecf87d1d9519191b3269eed886e5">&#9670;&#160;</a></span>GetDespawnRadius()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionQuestObjectiveConfig::GetDespawnRadius </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00126">126</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a1a7c3a7ea577f388ed15dfa53a6de2a1" name="a1a7c3a7ea577f388ed15dfa53a6de2a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a7c3a7ea577f388ed15dfa53a6de2a1">&#9670;&#160;</a></span>GetID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveConfig::GetID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00036">36</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a5157c71b9947032bed3d0d9f08fc4bd8" name="a5157c71b9947032bed3d0d9f08fc4bd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5157c71b9947032bed3d0d9f08fc4bd8">&#9670;&#160;</a></span>GetItemNames()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt; ExpansionQuestObjectiveConfig::GetItemNames </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00111">111</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="ab7318a2597d9ad7fc04955bbc9795087" name="ab7318a2597d9ad7fc04955bbc9795087"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7318a2597d9ad7fc04955bbc9795087">&#9670;&#160;</a></span>GetMarkerName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestObjectiveConfig::GetMarkerName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00101">101</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="aaa1417c5a1308120b02853b21790b41b" name="aaa1417c5a1308120b02853b21790b41b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa1417c5a1308120b02853b21790b41b">&#9670;&#160;</a></span>GetMaxDistance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionQuestObjectiveConfig::GetMaxDistance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00096">96</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="aebc07391feaefd67c0422b7ffe9c49da" name="aebc07391feaefd67c0422b7ffe9c49da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebc07391feaefd67c0422b7ffe9c49da">&#9670;&#160;</a></span>GetMaxDistRadius()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionQuestObjectiveConfig::GetMaxDistRadius </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00116">116</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a23c08eacacbb396855b5976f7e7a509c" name="a23c08eacacbb396855b5976f7e7a509c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23c08eacacbb396855b5976f7e7a509c">&#9670;&#160;</a></span>GetMinDistRadius()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionQuestObjectiveConfig::GetMinDistRadius </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00121">121</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a4cfe5f98211f72826e79a3e5dc640ebe" name="a4cfe5f98211f72826e79a3e5dc640ebe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cfe5f98211f72826e79a3e5dc640ebe">&#9670;&#160;</a></span>GetObjectiveText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestObjectiveConfig::GetObjectiveText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00056">56</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="aa5f51a197d54b16d949e51637ba6c092" name="aa5f51a197d54b16d949e51637ba6c092"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5f51a197d54b16d949e51637ba6c092">&#9670;&#160;</a></span>GetObjectiveType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveConfig::GetObjectiveType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00046">46</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a161371887ce819582fa3843eac5938e8" name="a161371887ce819582fa3843eac5938e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a161371887ce819582fa3843eac5938e8">&#9670;&#160;</a></span>GetPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionQuestObjectiveConfig::GetPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00091">91</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="aa81e591a609454bc03965fca9df837c4" name="aa81e591a609454bc03965fca9df837c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa81e591a609454bc03965fca9df837c4">&#9670;&#160;</a></span>GetTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dee/a06710.html">ExpansionQuestObjectiveTarget</a> ExpansionQuestObjectiveConfig::GetTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00086">86</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="ab081e241cf4f342ea86fccd2e8c9bd23" name="ab081e241cf4f342ea86fccd2e8c9bd23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab081e241cf4f342ea86fccd2e8c9bd23">&#9670;&#160;</a></span>GetTimeLimit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveConfig::GetTimeLimit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00066">66</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a2e6a782d74b0fa2756b66c87ab66f5db" name="a2e6a782d74b0fa2756b66c87ab66f5db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e6a782d74b0fa2756b66c87ab66f5db">&#9670;&#160;</a></span>GetTreasureHunt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/dc1/a06714.html">ExpansionQuestObjectiveTreasureHunt</a> ExpansionQuestObjectiveConfig::GetTreasureHunt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00141">141</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="ac04c4a577ad2e4599cb88b03ce5a77d5" name="ac04c4a577ad2e4599cb88b03ce5a77d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac04c4a577ad2e4599cb88b03ce5a77d5">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveConfig::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00181">181</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a30c0822a847d005357a50928f5ee4478" name="a30c0822a847d005357a50928f5ee4478"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30c0822a847d005357a50928f5ee4478">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveConfig::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00173">173</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a1bc4c84e8e700aa675eed4b55c044bf2" name="a1bc4c84e8e700aa675eed4b55c044bf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bc4c84e8e700aa675eed4b55c044bf2">&#9670;&#160;</a></span>QuestDebug()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveConfig::QuestDebug </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00198">198</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a12dd926db8862d537bfe9e38ce7f3533" name="a12dd926db8862d537bfe9e38ce7f3533"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12dd926db8862d537bfe9e38ce7f3533">&#9670;&#160;</a></span>Save()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveConfig::Save </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>fileName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a311cdaf81995b76fc29cb22b07bcccfa" name="a311cdaf81995b76fc29cb22b07bcccfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a311cdaf81995b76fc29cb22b07bcccfa">&#9670;&#160;</a></span>SetID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveConfig::SetID </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00031">31</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a5e414bf96824020af01d7bc4625cc879" name="a5e414bf96824020af01d7bc4625cc879"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e414bf96824020af01d7bc4625cc879">&#9670;&#160;</a></span>SetObjectiveText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveConfig::SetObjectiveText </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00051">51</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a0c1f20278340f1162c4bb21e70392215" name="a0c1f20278340f1162c4bb21e70392215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c1f20278340f1162c4bb21e70392215">&#9670;&#160;</a></span>SetObjectiveType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveConfig::SetObjectiveType </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00041">41</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<a id="a3340b68310ef5c4bc06ae76d071beb1c" name="a3340b68310ef5c4bc06ae76d071beb1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3340b68310ef5c4bc06ae76d071beb1c">&#9670;&#160;</a></span>SetTimeLimit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveConfig::SetTimeLimit </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00061">61</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a677d69e897a9ff4b1111e44f852b6954" name="a677d69e897a9ff4b1111e44f852b6954"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a677d69e897a9ff4b1111e44f852b6954">&#9670;&#160;</a></span>CONFIGVERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int ExpansionQuestObjectiveConfig::CONFIGVERSION = 9</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d3b/a02291_source.html#l00024">24</a> of file <a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/systems/quests/questobjectiveconfigs/<a class="el" href="../../dd/d3b/a02291_source.html">expansionquestobjectiveconfigbase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d9f/a06730.html">ExpansionQuestObjectiveConfig</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
